// ErrDecomp.cpp : implementation file
//

#include "stdafx.h"
#include "urupython3.h"
#include "ErrDecomp.h"
#include "EditFile.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CErrDecomp dialog


CErrDecomp::CErrDecomp(CWnd* pParent /*=NULL*/)
	: CDialog(CErrDecomp::IDD, pParent)
{
	//{{AFX_DATA_INIT(CErrDecomp)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_decompyle = TRUE;
	m_retryCompile = FALSE;
}


void CErrDecomp::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CErrDecomp)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CErrDecomp, CDialog)
	//{{AFX_MSG_MAP(CErrDecomp)
	ON_BN_CLICKED(IDC_EDIT, OnEdit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CErrDecomp message handlers


BOOL CErrDecomp::OnInitDialog() 
{
	CDialog::OnInitDialog();

	m_fontMsg.CreatePointFont(80, _T("MS Sans Serif"), GetDC());

	
	CString formatTitle, title;
	GetDlgItem(IDC_TITLE)->GetWindowText(formatTitle);
	title.Format(formatTitle, (m_decompyle?_T("Decompilation"):_T("Compilation")), m_filename);
	GetDlgItem(IDC_TITLE)->SetWindowText(title);


	m_errMsg.Replace(_T("\r\n"), _T("\n"));
	m_errMsg.Replace(_T("\n"), _T("\r\n"));

	CWnd *msgDlg = GetDlgItem(IDC_ERRMSG);
	msgDlg->SetFont(&m_fontMsg);
	msgDlg->SetWindowText(m_errMsg);
	
	if (m_decompyle)
		GetDlgItem(IDC_EDIT)->ModifyStyle(WS_VISIBLE, 0);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CErrDecomp::OnEdit() 
{
	CEditFile myEdit;
	myEdit.m_filename = m_folderSource + m_filename + _T(".py");

	if (myEdit.DoModal() == IDOK) {
		if (MessageBox(_T("Do you want to retry compilation?"), _T("Question"), MB_YESNO | MB_DEFBUTTON1 | MB_ICONQUESTION) == IDYES) {
			m_retryCompile = TRUE;
			OnOK();
		}
	}
}
