// FilePak.h: interface for the CFilePak class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_FILEPAK_H__7FBFFF81_665D_47BD_ABE1_241914399B38__INCLUDED_)
#define AFX_FILEPAK_H__7FBFFF81_665D_47BD_ABE1_241914399B38__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CFilePak  
{
public:
	CFilePak();
	virtual ~CFilePak();


	BOOL UnpackFile(CString sourceFile, CString destFolder, int &nbrFile, CString &errMsg);
	BOOL pakPython(CString destFile, CString sourceFolder, CString listFile, int &nbrFile, CString &errMsg);

private:
	int extractPython(char *sourceName, char *dirName);
	int pakPython(char *dirName, char *destName);

	void decodeQuad(UINT *first, UINT *second);
	void encodeQuad(UINT *first, UINT *second);

	BOOL decodeUruStr(char *strEnc, char *realStr);
	BOOL encodeUruStr(char *realStr, char *strEnc);

	BOOL decodeUruStrOld(char *strEnc, char *realStr);

};

extern CFilePak g_filePak;

#endif // !defined(AFX_FILEPAK_H__7FBFFF81_665D_47BD_ABE1_241914399B38__INCLUDED_)
