// Progress.cpp : implementation file
//

#include "stdafx.h"
#include "urupython3.h"
#include "Progress.h"
#include "BackPython.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProgress dialog


CProgress::CProgress(CWnd* pParent /*=NULL*/)
	: CDialog(CProgress::IDD, pParent)
{
	//{{AFX_DATA_INIT(CProgress)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CProgress::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProgress)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CProgress, CDialog)
	//{{AFX_MSG_MAP(CProgress)
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProgress message handlers

BOOL CProgress::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	SetTimer(IDTIMER_PROGRESS, 50, NULL);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CProgress::OnCancel() 
{
	if (MessageBox(_T("Are you sure?"), _T("Confirmation"), MB_YESNOCANCEL | MB_DEFBUTTON1 | MB_ICONQUESTION) != IDYES)
		return;
	
	CWaitCursor myWait;
	g_backPython->StopBatch();

	CDialog::OnCancel();
}


void CProgress::OnTimer(UINT nIDEvent) 
{
	if (nIDEvent == IDTIMER_PROGRESS) {
		// Fetch progress and display it
		CStatBatch data;
		g_backPython->GetBatchStatus(data);

		if (data.done) {
			PostMessage(WM_COMMAND, IDOK);
			return;
		}

		CString msg;
		msg.Format(_T("Processing file %d of %d (%s)"), data.curFileNbr, data.totalFile, data.curFilename);
		GetDlgItem(IDC_PROGRESS)->SetWindowText(msg);
	} else
		CDialog::OnTimer(nIDEvent);
}

